Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class GateManager

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.GateManager

public class GateManager extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  `protected int`
  `mid`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GateManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAddressJoin(StringBuffer query)`
  `void`
  `deleteGate(int gateID)`
  Удаляет шлюз по его коду
  `List<Gate>`
  `getContractGates(int cid)`
  Получить шлюзы данного договора
  `Gate`
  `getGateById(int gateId)`
  Возвращает шлюз по его коду - TODO : передалать на универсальную функцию - getGateList
  `Gate`
  `getGateByID(int gateId)`
  Deprecated.
  `List<Gate>`
  `getGateByTypeId(int typeId)`
  Возвращает список гейтов по типу.
  `List<Gate>`
  `getGateByTypeID(int typeId)`
  Deprecated.
  `List<Gate>`
  `getGatesList()`
  `List<Gate>`
  `getGatesList(GateFilter filter)`
  Возвращает список всех шлюзов
  `Gate`
  `getGateTree(GateFilter filter)`
  Возвращает дерево шлюзов
  `static void`
  `loadFromResultSet(ResultSet rs, Gate gate)`
  `static void`
  `loadFromResultSet(ResultSet rs, Gate gate, boolean loadAddress)`
  `void`
  `moveGates(String ids, int id)`
  Переносит шлюзы в папку
  `void`
  `updateGate(String gateID, Gate gate)`
  Обновляет шлюз

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mid

    protected int mid

  - ### con

    protected Connection con

- ## Constructor Details

  - ### GateManager

    public GateManager(Connection con, int mid)

- ## Method Details

  - ### deleteGate

    public void deleteGate(int gateID)
    Удаляет шлюз по его коду
    Parameters:
      `gateID` - код шлюза

  - ### getGatesList

    public List<Gate> getGatesList(GateFilter filter)
    Возвращает список всех шлюзов
    Returns:

  - ### getGatesList

    public List<Gate> getGatesList()

  - ### addAddressJoin

    public void addAddressJoin(StringBuffer query)

  - ### getGateTree

    public Gate getGateTree(GateFilter filter)
    Возвращает дерево шлюзов
    Returns:

  - ### loadFromResultSet

    public static void loadFromResultSet(ResultSet rs, Gate gate) throws SQLException
    Throws:
      `SQLException`

  - ### loadFromResultSet

    public static void loadFromResultSet(ResultSet rs, Gate gate, boolean loadAddress) throws SQLException
    Throws:
      `SQLException`

  - ### getGateById

    public Gate getGateById(int gateId)
    Возвращает шлюз по его коду - TODO : передалать на универсальную функцию - getGateList
    Parameters:
      `gateId` - код шлюза
    Returns:

  - ### getGateByID

    @Deprecated public Gate getGateByID(int gateId)
    Deprecated.
    Использовать `getGateById(int)`.
    Parameters:
      `gateId` -
    Returns:

  - ### moveGates

    public void moveGates(String ids, int id)
    Переносит шлюзы в папку
    Parameters:
      `ids` - коды переносимых шлюзов
      `id` - код шлюза, в папку которого переносятся шлюзы

  - ### updateGate

    public void updateGate(String gateID, Gate gate)
    Обновляет шлюз
    Parameters:
      `gateID` - код шлюза, если "new" - то создать новый
      `gate` - шлюз

  - ### getContractGates

    public List<Gate> getContractGates(int cid)
    Получить шлюзы данного договора
    Parameters:
      `cid` - код договора
    Returns:

  - ### getGateByTypeId

    public List<Gate> getGateByTypeId(int typeId)
    Возвращает список гейтов по типу. Может и пригодится ещё когда-нибудь, но пока используется только для определения используется ли данный тип где-нибудь у гейта, при удалении типа.
    Parameters:
      `typeId` - ид_типа
    Returns:
      список гейтов заявленного типа

  - ### getGateByTypeID

    @Deprecated public List<Gate> getGateByTypeID(int typeId)
    Deprecated.
    Использовать `getGateByTypeId(int)`.
    Parameters:
      `typeId` -
    Returns: